spring:
  profiles:
    active: "@spring.active@"
  mvc:
    format:
      date: yyyy-MM-dd HH:mm:ss
    throw-exception-if-no-handler-found: true
  application:
    name: dy-management
  devtools:
    livereload:
      enabled: true
      port: 9257
    restart:
      enabled: false
  main:
    allow-bean-definition-overriding: true
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
    default-property-inclusion: always

  servlet:
    multipart:
      maxFileSize: 50MB  #单位必须大写MB或不写(即为B)
      maxRequestSize: 100MB


  resources:
    add-mappings: false
## MyBatis
#mybatis:
#  # 搜索指定包别名
#  typeAliasesPackage: com.wucl.bike
#  # 配置mapper的扫描，找到所有的mapper.xml映射文件
#  mapperLocations: classpath*:mapper/**/*Mapper.xml
mybatis-plus:
  mapper-locations: classpath*:mapper/**/*Mapper.xml
  type-aliases-package: com.dayou.entity
  #debug
  configuration:
#关闭:org.apache.ibatis.logging.nologging.NoLoggingImpl    开启:org.apache.ibatis.logging.stdout.StdOutImpl
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  global-config:
    db-config:
      id-type: auto
      logic-delete-field: deleted
      logic-delete-value: 1
      logic-not-delete-value: 0
mapper:
  not-empty: true
  identity: MYSQL

# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  reasonable: true
  supportMethodsArguments: true
  params: count=countSql
server:
  servlet:
    context-path: /api
  compression:
    enabled: true
    mime-types: application/javascript,application/json,application/xml,text/html,text/xml,text/plain,text/css,image/*
    min-response-size: 1024
  tomcat:
    max-connections: 1000
    threads:
      min-spare: 20
      max: 200
    accept-count: 200

# 日志配置
logging:
  level:
    com.local: info
    org.springframework: info

#百度编辑器
ueditor:
  config: config.json
  unified: false